org.jbpm.services.ejb.impl

## Class ProcessServiceEJBImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.ProcessServiceImpl
  - - org.jbpm.services.ejb.impl.ProcessServiceEJBImpl

- All Implemented Interfaces:
    VariablesAware, ProcessService, ProcessServiceEJBLocal, ProcessServiceEJBRemote

      public class ProcessServiceEJBImpl
      extends ProcessServiceImpl
      implements ProcessService, ProcessServiceEJBLocal, ProcessServiceEJBRemote

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.kie.services.impl.ProcessServiceImpl

      `dataService, deploymentService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessServiceEJBImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `disposeRuntimeEngine(org.kie.api.runtime.manager.RuntimeManager manager, org.kie.api.runtime.manager.RuntimeEngine engine)`
    `<T> T` | `process(T variables, ClassLoader cl)` Generic processing method that might be simply returning same instance of variables if no processing is required.
    `void` | `setDataService(RuntimeDataService dataService)`
    `void` | `setDeploymentService(DeploymentService deploymentService)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.ProcessServiceImpl

      `abortProcessInstance, abortProcessInstance, abortProcessInstances, abortProcessInstances, abortWorkItem, abortWorkItem, collectActiveSignals, completeWorkItem, completeWorkItem, computeProcessOutcome, disallowWhenNotActive, execute, execute, getActiveBoundaryNodesSignals, getAvailableSignals, getAvailableSignals, getContext, getProcessInstance, getProcessInstance, getProcessInstance, getProcessInstance, getProcessInstanceVariable, getProcessInstanceVariable, getProcessInstanceVariables, getProcessInstanceVariables, getWorkItem, getWorkItem, getWorkItemByProcessInstance, getWorkItemByProcessInstance, setProcessVariable, setProcessVariable, setProcessVariables, setProcessVariables, signalEvent, signalProcessInstance, signalProcessInstance, signalProcessInstanceByCorrelationKey, signalProcessInstanceByCorrelationKey, signalProcessInstances, signalProcessInstances, signalProcessInstancesByCorrelationKeys, signalProcessInstancesByCorrelationKeys, startProcess, startProcess, startProcess, startProcess, startProcessFromNodeIds, startProcessFromNodeIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.api.ProcessService

      `abortProcessInstance, abortProcessInstance, abortProcessInstances, abortProcessInstances, abortWorkItem, abortWorkItem, completeWorkItem, completeWorkItem, computeProcessOutcome, execute, execute, getAvailableSignals, getAvailableSignals, getProcessInstance, getProcessInstance, getProcessInstance, getProcessInstance, getProcessInstanceVariable, getProcessInstanceVariable, getProcessInstanceVariables, getProcessInstanceVariables, getWorkItem, getWorkItem, getWorkItemByProcessInstance, getWorkItemByProcessInstance, setProcessVariable, setProcessVariable, setProcessVariables, setProcessVariables, signalEvent, signalProcessInstance, signalProcessInstance, signalProcessInstanceByCorrelationKey, signalProcessInstanceByCorrelationKey, signalProcessInstances, signalProcessInstances, signalProcessInstancesByCorrelationKeys, signalProcessInstancesByCorrelationKeys, startProcess, startProcess, startProcess, startProcess, startProcessFromNodeIds, startProcessFromNodeIds`

- - ### Constructor Detail

    - #### ProcessServiceEJBImpl

          public ProcessServiceEJBImpl()

  - ### Method Detail

    - #### setDeploymentService

          public void setDeploymentService(DeploymentService deploymentService)

      Overrides:
        `setDeploymentService` in class `ProcessServiceImpl`

    - #### setDataService

          public void setDataService(RuntimeDataService dataService)

      Overrides:
        `setDataService` in class `ProcessServiceImpl`

    - #### process

          public <T> T process(T variables,
                               ClassLoader cl)

      Description copied from interface: `VariablesAware`
      Generic processing method that might be simply returning same instance of variables if no processing is required.
      Specified by:
        `process` in interface `VariablesAware`
      Overrides:
        `process` in class `ProcessServiceImpl`
      Parameters:
        `variables` - object that holds varialble(s)
        `cl` - classloader that shall be used to operate on the variables e.g. project class loader
      Returns:

    - #### disposeRuntimeEngine

          protected void disposeRuntimeEngine(org.kie.api.runtime.manager.RuntimeManager manager,
                                              org.kie.api.runtime.manager.RuntimeEngine engine)

      Overrides:
        `disposeRuntimeEngine` in class `ProcessServiceImpl`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.